verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.9*,5.0*,5.1*,5.2*, 5.3*

# Stop recorder and sentinel
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=2

# Wait for 30 seconds, to be sure all instances has ended
print Will sleep for 30 seconds to make sure all instances of Recorder has ended
sleep 30000

# Copy binaries.
system copy "bin\Recorder.exe" "%installdir%\bin\"

# Enable recorder and sentinel again
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=1

die off

# Copy readme.
system mkdir "%installdir%\patches"
system copy "readme.txt" "%installdir%\patches\1061.readme.txt"

print -------------------------------------------------------------
print All users (including Administrator) must log off and on again
print in order to finalize the patch. (No need for full restart.)
print -------------------------------------------------------------

